- NAME
- SYNOPSIS
- DESCRIPTION
- OBJECTS

# NAME

PDL::Types - define fundamental PDL Datatypes

# SYNOPSIS

     use PDL::Types;

     $pdl = ushort( 2.0, 3.0 );
     print "The actual c type used to store ushort's is '" .
        $pdl->type->realctype() . "'\n";
     The actual c type used to store ushort's is 'unsigned short'

# DESCRIPTION

Internal module - holds all the PDL Type info. This can be accessed using the `PDL::Type` object returned by the type method.

# OBJECTS

This module declares one class - `PDL::Type` - objects of this class are returned by the type method of a piddle. It has several methods, listed below, which provide an easy way to access type information:

Additionally, comparison and stringification are overloaded so that you can compare and print type objects, e.g.

      $nofloat = 1 if $pdl->type < float;
      die "must be double" if $type != double;

For further examples check again the type method.

enum
  Returns the number representing this datatype (see get_datatype).

symbol
  Returns one of 'PDL_B', 'PDL_S', 'PDL_US', 'PDL_L', 'PDL_F' or 'PDL_D'.

ctype
  Returns the macro used to represent this type in C code (eg 'PDL_Long').

ppsym
  The letter used to represent this type in PP code code (eg 'U' for ushort).

realctype
  The actual C type used to store this type.

shortctype
  The value returned by `ctype` without the 'PDL_'.